From kay.sievers@vrfy.org  Sun Nov 28 18:45:03 2004
>From greg  Sun Nov 28 18:45:03 2004
Return-Path: <kay.sievers@vrfy.org>
Received: from localhost.localdomain [127.0.0.1]
	by localhost with POP3 (fetchmail-6.2.5)
	for greg@localhost (single-drop); Sun, 28 Nov 2004 18:45:03 -0800 (PST)
Received: from kroah.com ([216.218.225.136]) by kroah.com for <kroah@kroah.com>; Sun, 28 Nov 2004 18:43:19 -0800
Received: from soundwarez.org ([217.160.171.123]) by kroah.com for <greg@kroah.com>; Sun, 28 Nov 2004 18:43:17 -0800
Received: by soundwarez.org (Postfix, from userid 2702)
	id 6F0511603F; Mon, 29 Nov 2004 03:43:28 +0100 (CET)
Date: Mon, 29 Nov 2004 03:43:28 +0100
From: Kay Sievers <kay.sievers@vrfy.org>
To: Greg KH <greg@kroah.com>
Subject: Driver Core: restore comment in kobject_uevent.c
Message-ID: <20041129024328.GA1652@vrfy.org>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
User-Agent: Mutt/1.5.6+20040907i
X-SpamProbe: GOOD 0.0000018 ed9f1b5fbe841ab97275fb236caae51d
Content-Length: 1364
Lines: 27

Signed-off-by: Kay Sievers <kay.sievers@vrfy.org>
Signed-off-by: Greg Kroah-Hartman <greg@kroah.com>


--- 1.6/drivers/base/class_simple.c	2004-06-10 08:34:24 +02:00
+++ edited/drivers/base/class_simple.c	2004-11-26 20:11:21 +01:00
@@ -122,7 +122,7 @@ EXPORT_SYMBOL(class_simple_destroy);
  * be created, showing the dev_t for the device.  The pointer to the struct
  * class_device will be returned from the call.  Any further sysfs files that
  * might be required can be created using this pointer.
- * Note: the struct class_device passed to this function must have previously been
+ * Note: the struct class_simple passed to this function must have previously been
  * created with a call to class_simple_create().
  */
 struct class_device *class_simple_device_add(struct class_simple *cs, dev_t dev, struct device *device, const char *fmt, ...)
===== lib/kobject_uevent.c 1.16 vs edited =====
--- 1.16/lib/kobject_uevent.c	2004-11-12 12:50:24 +01:00
+++ edited/lib/kobject_uevent.c	2004-11-26 20:19:53 +01:00
@@ -205,6 +205,8 @@ void kobject_hotplug(struct kobject *kob
 	static struct kset_hotplug_ops null_hotplug_ops;
 	struct kset_hotplug_ops *hotplug_ops = &null_hotplug_ops;
 
+	/* If this kobj does not belong to a kset,
+	   try to find a parent that does. */
 	if (!top_kobj->kset && top_kobj->parent) {
 		do {
 			top_kobj = top_kobj->parent;


